# Uses of Interface
io.papermc.paper.chat.ChatRenderer

Packages that use ChatRenderer
Package
Description
io.papermc.paper.chat
io.papermc.paper.event.player

## Uses of ChatRenderer in io.papermc.paper.chat

Subinterfaces of ChatRenderer in io.papermc.paper.chat
Modifier and Type
Interface
Description
`static interface`
`ChatRenderer.Default`
Methods in io.papermc.paper.chat that return ChatRenderer
Modifier and Type
Method
Description
`static @NotNull ChatRenderer`
ChatRenderer.`defaultRenderer()`
Create a new instance of the default `ChatRenderer`.
`static @NotNull ChatRenderer`
ChatRenderer.`viewerUnaware(@NotNull ChatRenderer.ViewerUnaware renderer)`
Creates a new viewer-unaware `ChatRenderer`, which will render the chat message a single time, displaying the same rendered message to every viewing `Audience`.

## Uses of ChatRenderer in io.papermc.paper.event.player

Methods in io.papermc.paper.event.player that return ChatRenderer
Modifier and Type
Method
Description
`final @NotNull ChatRenderer`
AbstractChatEvent.`renderer()`
Gets the chat renderer.
Methods in io.papermc.paper.event.player with parameters of type ChatRenderer
Modifier and Type
Method
Description
`final void`
AbstractChatEvent.`renderer(@NotNull ChatRenderer renderer)`
Sets the chat renderer.
Constructors in io.papermc.paper.event.player with parameters of type ChatRenderer
Modifier
Constructor
Description
``
`AsyncChatEvent(boolean async, @NotNull Player player, @NotNull Set<Audience> viewers, @NotNull ChatRenderer renderer, @NotNull Component message, @NotNull Component originalMessage)`
``
`ChatEvent(@NotNull Player player, @NotNull Set<Audience> viewers, @NotNull ChatRenderer renderer, @NotNull Component message, @NotNull Component originalMessage)`
Deprecated.